<h1 align="center">ML Manager</h1>

<p align="center">
  <a target="_blank" href="https://travis-ci.org/javiersantos/MLManager"><img src="https://travis-ci.org/javiersantos/MLManager.svg?branch=master"></a>
  <a target="_blank" href="http://android-arsenal.com/details/3/2003"><img src="https://img.shields.io/badge/Android%20Arsenal-MLManager-blue.svg"></a>
  <a target="_blank" href="https://www.paypal.me/javiersantos" title="Donate using PayPal"><img src="https://img.shields.io/badge/paypal-donate-yellow.svg" /></a>
  <a target="_blank" href="http://patreon.com/javiersantos" title="Donate using Patreon"><img src="https://img.shields.io/badge/patreon-donate-yellow.svg" /></a>
</p>

<p align="center"><img src="https://github.com/javiersantos/MLManager/blob/master/app/src/main/ic_launcher-web.png" width="100" height="100"></p>
<p align="center">Modern, easy and customizable app manager for Android with root features and Material Design.</p>
<p align="center"><a target="_blank" href="https://play.google.com/store/apps/details?id=com.javiersantos.mlmanager"><img src="https://play.google.com/intl/en_us/badges/images/generic/en-play-badge.png" height="59" width="170"></a></p>

### Features
* Extract installed & system apps and save locally as APK.
* Organize your applications marking them as favorite.
* Uninstall apps easily.
* Customizations available in Settings.
* No root required.
* Material Design.
* Really easy to use.

#### Root features
* Hide apps from the device launcher.
* Easily manage your hidden apps from the side panel.
* Remove cache per app.
* Clean data per app.

## APK Download
### ML Manager
* [Download on Google Play](https://play.google.com/store/apps/details?id=com.javiersantos.mlmanager) - Recommended -
* [Download on GitHub](https://github.com/javiersantos/MLManager/releases)
* [Download on F-Droid](https://f-droid.org/repository/browse/?fdid=com.javiersantos.mlmanager)

### ML Manager Pro
* [Download on Google Play](https://play.google.com/store/apps/details?id=com.javiersantos.mlmanagerpro) - $ 1.43 -

![ML Manager](https://raw.githubusercontent.com/javiersantos/MLManager/master/Screenshots/header-basic.png)

## Creating your ML Manager
All developers are welcome to use the source code to create derivate applications. There are several things I require from all developers for the moment.

1. Please do not use the name ML Manager for your app.
2. Kindly do not use the standard logo as your app's logo.
3. Please remember to read and follow the [GPL v3 license](https://github.com/javiersantos/MLManager/blob/master/LICENSE). Your derivate work must include this license.

I ask that you do not redistribute this application for your own gain though. If you make a build and want to share it with people, that is great, that is what this should be for. Do not charge them for that build though. I have spent months creating this project and this is what I ask if you choose to make it for yourself.

## Translations
[Help translating this app](https://crowdin.com/project/ml-manager)
* English
* Spanish
* Japanese
* Portuguese
* Italian - Thanks to Lucian Sipos -
* Polish - Thanks to TykTak -

## Third Party Libraries
* [Material Design Library](https://github.com/navasmdc/MaterialDesignLibrary)
* [Android Floating Action Button](https://github.com/futuresimple/android-floating-action-button)
* [Material Dialogs](https://github.com/afollestad/material-dialogs)
* [Ambil Warna](https://github.com/yukuku/ambilwarna)
* [Materialish Progress](https://github.com/pnikosis/materialish-progress)
* [Material Drawer](https://github.com/mikepenz/MaterialDrawer)
* [RecyclerViewFastScroller](https://github.com/danoz73/RecyclerViewFastScroller)
* [Phoenix](https://github.com/Yalantis/Phoenix)
* [DirectoryChooser](https://github.com/passy/Android-DirectoryChooser)
* [AboutLibraries](https://github.com/mikepenz/AboutLibraries)

## License

    Copyright 2015 Javier Santos

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
